#rare_nbsp #Year model
load("fitme_Year_Grow_HossfeldSI.R")
load("fitme_Year_Mort_HossfeldSI.R")
load("fitme_Year_NBC_HossfeldSI.R")

mbrare_nbsp_Pval<-summary(mbrare_nbsp)$beta
Pval<-2*pt(-abs(mbrare_nbsp_Pval[,"t-value"]), df=2544-(871+681+7+1)) %>% as.data.frame()
mbrare_nbsp_Pval<-as.data.frame(mbrare_nbsp_Pval)
mbrare_nbsp_Pval$Pval<-Pval[[1]]

mcrare_nbsp_Pval<-summary(mcrare_nbsp)$beta
Pval<-2*pt(-abs(mcrare_nbsp_Pval[,"t-value"]), df=2544-(871+681+7+1)) %>% as.data.frame()
mcrare_nbsp_Pval<-as.data.frame(mcrare_nbsp_Pval)
mcrare_nbsp_Pval$Pval<-Pval[[1]]

marare_nbsp_Pval<-summary(marare_nbsp)$beta
Pval<-2*pt(-abs(marare_nbsp_Pval[,"t-value"]), df=2544-(871+681+7+1)) %>% as.data.frame()
marare_nbsp_Pval<-as.data.frame(marare_nbsp_Pval)
marare_nbsp_Pval$Pval<-Pval[[1]]

coefmbrare_nbsp<-mbrare_nbsp_Pval[,1]
coefmcrare_nbsp<-mcrare_nbsp_Pval[,1]
coefmarare_nbsp<-marare_nbsp_Pval[,1]
SEmbrare_nbsp<-mbrare_nbsp_Pval[,2]
SEmcrare_nbsp<-mcrare_nbsp_Pval[,2]
SEmarare_nbsp<-marare_nbsp_Pval[,2]
Tvalmbrare_nbsp<-mbrare_nbsp_Pval[,3]
Tvalmcrare_nbsp<-mcrare_nbsp_Pval[,3]
Tvalmarare_nbsp<-marare_nbsp_Pval[,3]
Pvalmbrare_nbsp<-mbrare_nbsp_Pval[,4]
Pvalmcrare_nbsp<-mcrare_nbsp_Pval[,4]
Pvalmarare_nbsp<-marare_nbsp_Pval[,4]

T1<-data.table(Source=c(rownames(mbrare_nbsp_Pval),
                        rownames(mcrare_nbsp_Pval),
                        rownames(marare_nbsp_Pval)),
               coef=NA,df=NA,Tval=NA,Pval=NA)

T1$coef<-c(c(paste(round(coefmbrare_nbsp,digits=3)," } ",round(SEmbrare_nbsp,digits=3))),
           c(paste(round(coefmcrare_nbsp,digits=3)," } ",round(SEmcrare_nbsp,digits=3))),
           c(paste(round(coefmarare_nbsp,digits=3)," } ",round(SEmarare_nbsp,digits=3))))

2544-(871+681+7+1)
T1$df<-rep(rep(c("-",rep("1, 984",7))),3)

T1$Tval<-c(round(Tvalmbrare_nbsp,digits=3),
           round(Tvalmcrare_nbsp,digits=3),
           round(Tvalmarare_nbsp,digits=3))

T1$Pval<-c(round(Pvalmbrare_nbsp,digits=3),
           round(Pvalmcrare_nbsp,digits=3),
           round(Pvalmarare_nbsp,digits=3))

T1$Pval<-ifelse(T1$P<0.001,"< 0.001",T1$P)

View(T1)

#Table S2
#Multiple climate model
load("fitme_MULTI_Grow_HossfeldSI.R")
load("fitme_MULTI_Mort_HossfeldSI.R")
load("fitme_MULTI_NBC_HossfeldSI.R")

mbrare_nbspCAC_Pval<-summary(mbrare_nbspCAC)$beta
Pval<-2*pt(-abs(mbrare_nbspCAC_Pval[,"t-value"]), df=2544-(871+681+13+1)) %>% as.data.frame()
mbrare_nbspCAC_Pval<-as.data.frame(mbrare_nbspCAC_Pval)
mbrare_nbspCAC_Pval$Pval<-Pval[[1]]

mcrare_nbspCAC_Pval<-summary(mcrare_nbspCAC)$beta
Pval<-2*pt(-abs(mcrare_nbspCAC_Pval[,"t-value"]), df=2544-(871+681+13+1)) %>% as.data.frame()
mcrare_nbspCAC_Pval<-as.data.frame(mcrare_nbspCAC_Pval)
mcrare_nbspCAC_Pval$Pval<-Pval[[1]]

marare_nbspCAC_Pval<-summary(marare_nbspCAC)$beta
Pval<-2*pt(-abs(marare_nbspCAC_Pval[,"t-value"]), df=2544-(871+681+13+1)) %>% as.data.frame()
marare_nbspCAC_Pval<-as.data.frame(marare_nbspCAC_Pval)
marare_nbspCAC_Pval$Pval<-Pval[[1]]

coefmbrare_nbspCAC<-mbrare_nbspCAC_Pval[,1]
coefmcrare_nbspCAC<-mcrare_nbspCAC_Pval[,1]
coefmarare_nbspCAC<-marare_nbspCAC_Pval[,1]
SEmbrare_nbspCAC<-mbrare_nbspCAC_Pval[,2]
SEmcrare_nbspCAC<-mcrare_nbspCAC_Pval[,2]
SEmarare_nbspCAC<-marare_nbspCAC_Pval[,2]
Tvalmbrare_nbspCAC<-mbrare_nbspCAC_Pval[,3]
Tvalmcrare_nbspCAC<-mcrare_nbspCAC_Pval[,3]
Tvalmarare_nbspCAC<-marare_nbspCAC_Pval[,3]
Pvalmbrare_nbspCAC<-mbrare_nbspCAC_Pval[,4]
Pvalmcrare_nbspCAC<-mcrare_nbspCAC_Pval[,4]
Pvalmarare_nbspCAC<-marare_nbspCAC_Pval[,4]

#scaled models
load("fitme_MULTI_Grow_sc_HossfeldSI.R")
load("fitme_MULTI_Mort_sc_HossfeldSI.R")
load("fitme_MULTI_NBC_sc_HossfeldSI.R")

mbrare_nbspCAC_sc_Pval<-summary(mbrare_nbspCAC_sc)$beta
mcrare_nbspCAC_sc_Pval<-summary(mcrare_nbspCAC_sc)$beta
marare_nbspCAC_sc_Pval<-summary(marare_nbspCAC_sc)$beta

coefmbrare_nbspCAC_sc<-mbrare_nbspCAC_sc_Pval[,1]
coefmcrare_nbspCAC_sc<-mcrare_nbspCAC_sc_Pval[,1]
coefmarare_nbspCAC_sc<-marare_nbspCAC_sc_Pval[,1]
SEmbrare_nbspCAC_sc<-mbrare_nbspCAC_sc_Pval[,2]
SEmcrare_nbspCAC_sc<-mcrare_nbspCAC_sc_Pval[,2]
SEmarare_nbspCAC_sc<-marare_nbspCAC_sc_Pval[,2]

TS2<-data.table(Source=c(rownames(mbrare_nbspCAC_Pval),
                        rownames(mcrare_nbspCAC_Pval),
                        rownames(marare_nbspCAC_Pval)),
               coef=NA,Bcoef=NA,df=NA,Tval=NA,Pval=NA)

TS2$coef<-c(c(paste(round(coefmbrare_nbspCAC,digits=3)," } ",round(SEmbrare_nbspCAC,digits=3))),
           c(paste(round(coefmcrare_nbspCAC,digits=3)," } ",round(SEmcrare_nbspCAC,digits=3))),
           c(paste(round(coefmarare_nbspCAC,digits=3)," } ",round(SEmarare_nbspCAC,digits=3))))

TS2$Bcoef<-c(c(paste(round(coefmbrare_nbspCAC_sc,digits=3)," } ",round(SEmbrare_nbspCAC_sc,digits=3))),
            c(paste(round(coefmcrare_nbspCAC_sc,digits=3)," } ",round(SEmcrare_nbspCAC_sc,digits=3))),
            c(paste(round(coefmarare_nbspCAC_sc,digits=3)," } ",round(SEmarare_nbspCAC_sc,digits=3))))

2544-(871+681+13+1)
TS2$df<-rep(rep(c("-",rep("1, 978",13))),3)

TS2$Tval<-c(round(Tvalmbrare_nbspCAC,digits=3),
           round(Tvalmcrare_nbspCAC,digits=3),
           round(Tvalmarare_nbspCAC,digits=3))

TS2$Pval<-c(round(Pvalmbrare_nbspCAC,digits=3),
           round(Pvalmcrare_nbspCAC,digits=3),
           round(Pvalmarare_nbspCAC,digits=3))

TS2$Pval<-ifelse(TS2$P<0.001,"< 0.001",TS2$P)

View(TS2)

######################################################################################
#Maybe no need?
#Table S4 (Models and bootstraps are in "5._TableS5..")
#Sorg
mb<-lmer(AGBGI~logSA+Y+lognbsp+SI_WS+(logSA:Y)+(logSA:lognbsp)+(Y:lognbsp)+
           (1|Plotnumber),weights=wi,absk)
mc<-lmer(AGBM~logSA+Y+Spnbsp+SI_WS+(logSA:Y)+(logSA:Spnbsp)+(Y:Spnbsp)+
           (1|Plotnumber),weights=wi,absk)
ma<-lmer(AGB~logSA+Y+lognbsp+SI_WS+(logSA:Y)+(logSA:lognbsp)+(Y:lognbsp)+
           (1|Plotnumber),weights=wi,absk)

TS4Sorg<-data.table(Source=c("ln(SA)","Year","f(S)","SI","ln(SA)*Year","ln(SA)*f(S)","f(S)*Year"),
                    SS.G=NA,df.G=NA,F.G=NA,P.G=NA, SS.M=NA,df.M=NA,F.M=NA,P.M=NA, SS.N=NA,df.N=NA,F.N=NA,P.N=NA)

TS4Sorg$SS.G<-c(round(anova.lme(mb)[,1],digits=1))
TS4Sorg$df.G<-c(paste("1,",round(anova.lme(mb)[,4],digits=1),sep=" "))
TS4Sorg$F.G<-c(round(anova.lme(mb)[,5],digits=1))
TS4Sorg$P.G<-c(round(anova.lme(mb)[,6],digits=3))

TS4Sorg$SS.M<-c(round(anova.lme(mc)[,1],digits=1))
TS4Sorg$df.M<-c(paste("1,",round(anova.lme(mc)[,4],digits=1),sep=" "))
TS4Sorg$F.M<-c(round(anova.lme(mc)[,5],digits=1))
TS4Sorg$P.M<-c(round(anova.lme(mc)[,6],digits=3))

TS4Sorg$SS.N<-c(round(anova.lme(ma)[,1],digits=1))
TS4Sorg$df.N<-c(paste("1,",round(anova.lme(ma)[,4],digits=1),sep=" "))
TS4Sorg$F.N<-c(round(anova.lme(ma)[,5],digits=1))
TS4Sorg$P.N<-c(round(anova.lme(ma)[,6],digits=3))

TS4Sorg$SS.G<-ifelse(TS4Sorg$SS.G==0,"< 0.1",TS4Sorg$SS.G)
TS4Sorg$F.G<-ifelse(TS4Sorg$F.G==0,"< 0.1",TS4Sorg$F.G)
TS4Sorg$P.G<-ifelse(TS4Sorg$P.G==0,"< 0.001",TS4Sorg$P.G)
TS4Sorg$SS.M<-ifelse(TS4Sorg$SS.M==0,"< 0.1",TS4Sorg$SS.M)
TS4Sorg$F.M<-ifelse(TS4Sorg$F.M==0,"< 0.1",TS4Sorg$F.M)
TS4Sorg$P.M<-ifelse(TS4Sorg$P.M==0,"< 0.001",TS4Sorg$P.M)
TS4Sorg$SS.N<-ifelse(TS4Sorg$SS.N==0,"< 0.1",TS4Sorg$SS.N)
TS4Sorg$F.N<-ifelse(TS4Sorg$F.N==0,"< 0.1",TS4Sorg$F.N)
TS4Sorg$P.N<-ifelse(TS4Sorg$P.N==0,"< 0.001",TS4Sorg$P.N)

View(TS4Sorg)

#Shann
mbShann<-lmer(AGBGI~logSA+Y+logShann+SI_WS+(logSA:Y)+(logSA:logShann)+(Y:logShann)+
                (1|Plotnumber),weights=wi,absk)
mcShann<-lmer(AGBM~logSA+Y+SpShann+SI_WS+(logSA:Y)+(logSA:SpShann)+(Y:SpShann)+
                (1|Plotnumber),weights=wi,absk)
maShann<-lmer(AGB~logSA+Y+logShann+SI_WS+(logSA:Y)+(logSA:logShann)+(Y:logShann)+
                (1|Plotnumber),weights=wi,absk)

TS4Shann<-data.table(Source=c("ln(SA)","Year","f(S)","SI","ln(SA)*Year","ln(SA)*f(S)","f(S)*Year"),
                     SS.G=NA,df.G=NA,F.G=NA,P.G=NA, SS.M=NA,df.M=NA,F.M=NA,P.M=NA, SS.N=NA,df.N=NA,F.N=NA,P.N=NA)

TS4Shann$SS.G<-c(round(anova.lme(mbShann)[,1],digits=1))
TS4Shann$df.G<-c(paste("1,",round(anova.lme(mbShann)[,4],digits=1),sep=" "))
TS4Shann$F.G<-c(round(anova.lme(mbShann)[,5],digits=1))
TS4Shann$P.G<-c(round(anova.lme(mbShann)[,6],digits=3))

TS4Shann$SS.M<-c(round(anova.lme(mcShann)[,1],digits=1))
TS4Shann$df.M<-c(paste("1,",round(anova.lme(mcShann)[,4],digits=1),sep=" "))
TS4Shann$F.M<-c(round(anova.lme(mcShann)[,5],digits=1))
TS4Shann$P.M<-c(round(anova.lme(mcShann)[,6],digits=3))

TS4Shann$SS.N<-c(round(anova.lme(maShann)[,1],digits=1))
TS4Shann$df.N<-c(paste("1,",round(anova.lme(maShann)[,4],digits=1),sep=" "))
TS4Shann$F.N<-c(round(anova.lme(maShann)[,5],digits=1))
TS4Shann$P.N<-c(round(anova.lme(maShann)[,6],digits=3))

TS4Shann$SS.G<-ifelse(TS4Shann$SS.G==0,"< 0.1",TS4Shann$SS.G)
TS4Shann$F.G<-ifelse(TS4Shann$F.G==0,"< 0.1",TS4Shann$F.G)
TS4Shann$P.G<-ifelse(TS4Shann$P.G==0,"< 0.001",TS4Shann$P.G)
TS4Shann$SS.M<-ifelse(TS4Shann$SS.M==0,"< 0.1",TS4Shann$SS.M)
TS4Shann$F.M<-ifelse(TS4Shann$F.M==0,"< 0.1",TS4Shann$F.M)
TS4Shann$P.M<-ifelse(TS4Shann$P.M==0,"< 0.001",TS4Shann$P.M)
TS4Shann$SS.N<-ifelse(TS4Shann$SS.N==0,"< 0.1",TS4Shann$SS.N)
TS4Shann$F.N<-ifelse(TS4Shann$F.N==0,"< 0.1",TS4Shann$F.N)
TS4Shann$P.N<-ifelse(TS4Shann$P.N==0,"< 0.001",TS4Shann$P.N)

View(TS4Shann)
